For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI Reference
HomeGuidesAPI Reference
  • Online API
    • API Environments
    • Direct Payment Flow
    • REST
    • HTTPS
    • Dates
    • Pagination
    • Authentication
    • Idempotent Requests
    • Timeouts
    • API Simulator
  • Models
    • Introduction
    • Contact Object
    • Consumer Object
    • Discount Object
    • Item Object
    • Money Object
    • Order Details Object
    • Payment Object
    • Refund Object
    • Shipping Courier Object
  • Service Status
    • GETPing
  • Configuration
    • GETGet Configuration
  • Orders
    • Introduction
    • GETGet Order
    • POSTCreate Order
  • Javascript afterpay.js
    • Information
    • Redirect Method
  • Payments
    • Introduction
    • POSTCapture Payment
    • PUTUpdate Shipping Courier
    • GETGet Payment By Order ID
    • GETGet Payment By Token
    • GETList Payment(s)
    • POSTCreate Refund
    • PUTUpdate Payment by Order ID
    • POSTReverse Payment By Token
  • Errors
    • Introduction
    • Get Errors
    • Put/Post Errors
  • Reference
LogoLogo
Configuration

Get Configuration

GET
https://global-api-sandbox.afterpay.com/v1/configuration/environment::environment
GET
/v1/configuration/environment::environment
$curl https://global-api-sandbox.afterpay.com/v1/configuration/environment:environment \
> -H "User-Agent: User-Agent" \
> -u "<username>:<password>"
200Retrieved
1{}
This endpoint is used to retrieve the merchant's payment configuration, i.e. the merchant's available payment types, and the valid payment ranges for each. A request to Create Order will be rejected if the total amount is not between the `minimumAmount` and `maximumAmount` (inclusive). Note: Afterpay merchant configuration does not change frequently. For this reason, the configuration response will include `Cache-Control` headers in order to minimise network round trips when using a modern HTTP client. Note: Currently, `PAY_BY_INSTALLMENT` is the only payment type offered. ### Connection Timeouts | Timeout | Time (Seconds) | | ------- | ------------ | | Open | 10 | | Read | 20 |
Was this page helpful?
Previous

Introduction

Next
Built with

This endpoint is used to retrieve the merchant’s payment configuration, i.e. the merchant’s available payment types, and the valid payment ranges for each. A request to Create Order will be rejected if the total amount is not between the minimumAmount and maximumAmount (inclusive).

Note: Afterpay merchant configuration does not change frequently. For this reason, the configuration response will include Cache-Control headers in order to minimise network round trips when using a modern HTTP client. Note: Currently, PAY_BY_INSTALLMENT is the only payment type offered.

Connection Timeouts

TimeoutTime (Seconds)
Open10
Read20

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

environmentstringRequired

Use api-sandbox for AU/NZ, or api.us-sandbox for US.

Headers

User-AgentstringRequired
AcceptstringOptionalDefaults to application/json

Response

AttributeTypeDescription
typestringThe name of the payment type.
descriptionstringThe description of the payment type.
minimumAmountMoneyMinimum order amount. Note: This attribute may not be included if the Merchant account has no minimum order amount.
maximumAmountMoneyMaximum order amount.